/* DCTC - a Direct Connect text clone for Linux
 * Copyright (C) 2001 Eric Prevoteau
 *
 * userinfoT.h: Copyright (C) Eric Prevoteau <www@ac2i.tzo.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
$Id: userinfoT.h,v 1.2 2003/01/21 08:27:49 eric Exp $
*/

#ifndef __USERINFOT_H__
#define __USERINFOT_H__

#define UINFO_NICK_SIZE 63
#define UINFO_CNX_SIZE 15
#define UINFO_UEMAIL_SIZE 64
#define UINFO_UDESC_SIZE 64

/**************************************************/
/* structure containing the information of a user */
/**************************************************/
typedef struct
{
	char entry_is_busy;		/* 0=the entry is empty, 1=the entry is occupied */
	char nickname[UINFO_NICK_SIZE];
	unsigned long long share_size;
	char cnx_type[UINFO_CNX_SIZE];
	unsigned char uflag;
	char uemail[UINFO_UEMAIL_SIZE];
	char udesc[UINFO_UDESC_SIZE];
} LMP_UINFO;

#endif
