%define version 0.84.1

Name: dctc
Summary: DCTC is a Direct Connect clone.
Version: %{version}
Release: 1
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Eric <eric@ac2i.tzo.com>
Provides: dctc
Prefix: /usr
Url: http://ac2i.tzo.com/dctc/

%description
DCTC is a clone of Direct Connect, a Windows client allowing users to share their files and talk (like IRC but more software sharing oriented) using a proprietary protocol.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
%configure --prefix=%{prefix}
make -j 2

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install-strip

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,0755)
%doc NEWS README AUTHORS ChangeLog TODO
%{_mandir}/*/*
%{_bindir}/*

