/* DCTC - a Direct Connect text clone for Linux
 * Copyright (C) 2001 Eric Prevoteau
 *
 * userinfo.h: Copyright (C) Eric Prevoteau <www@ac2i.tzo.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
$Id: userinfo.h,v 1.2 2003/01/21 08:27:49 eric Exp $
*/

#ifndef __USERINFO_H__
#define __USERINFO_H__

#include "userinfoT.h"

/****************************************************************************************************************/
/* these functions handles management of user informations stored in the file $HOME/.dctc/running/xxxx-userinfo */
/****************************************************************************************************************/
void uinfo_create();
void uinfo_update_user_info(char *nickname, char *usize, char *utype, unsigned char uflag, char *uemail, char *udesc);
void uinfo_delete_user_info(char *nickname);
void uinfo_delete();

#endif
